org.kie.internal.io

## Class ResourceWithConfigurationImpl

- java.lang.Object
- - org.kie.internal.io.ResourceWithConfigurationImpl

- All Implemented Interfaces:
    org.kie.api.io.ResourceWithConfiguration

      public class ResourceWithConfigurationImpl
      extends Object
      implements org.kie.api.io.ResourceWithConfiguration

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceWithConfigurationImpl(org.kie.api.io.Resource resource, org.kie.api.io.ResourceConfiguration resourceConfiguration, Consumer<Object> beforeAdd, Consumer<Object> afterAdd)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Consumer<Object>` | `getAfterAdd()`
    `Consumer<Object>` | `getBeforeAdd()`
    `org.kie.api.io.Resource` | `getResource()`
    `org.kie.api.io.ResourceConfiguration` | `getResourceConfiguration()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceWithConfigurationImpl

          public ResourceWithConfigurationImpl(org.kie.api.io.Resource resource,
                                               org.kie.api.io.ResourceConfiguration resourceConfiguration,
                                               Consumer<Object> beforeAdd,
                                               Consumer<Object> afterAdd)

      Parameters:
        `resource` -
        `resourceConfiguration` -
        `beforeAdd` - callback executed on `kbuilder` as a paramenter, which will be executed before performing `KieAssemblerService.addResourceAfterRules(Object, Resource, ResourceType, ResourceConfiguration)` for the given resource `resource`
        `afterAdd` - callback executed on `kbuilder` as a paramenter, which will be executed after performing `KieAssemblerService.addResourceAfterRules(Object, Resource, ResourceType, ResourceConfiguration)` for the given resource `resource`

  - ### Method Detail

    - #### getResource

          public org.kie.api.io.Resource getResource()

      Specified by:
        `getResource` in interface `org.kie.api.io.ResourceWithConfiguration`

    - #### getResourceConfiguration

          public org.kie.api.io.ResourceConfiguration getResourceConfiguration()

      Specified by:
        `getResourceConfiguration` in interface `org.kie.api.io.ResourceWithConfiguration`

    - #### getBeforeAdd

          public Consumer<Object> getBeforeAdd()

      Specified by:
        `getBeforeAdd` in interface `org.kie.api.io.ResourceWithConfiguration`

    - #### getAfterAdd

          public Consumer<Object> getAfterAdd()

      Specified by:
        `getAfterAdd` in interface `org.kie.api.io.ResourceWithConfiguration`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.